clash-lib-1.8.4: Clash: a functional hardware description language - As a library

Copyright | (C) 2012-2016 University of Twente 2017 Myrtle Software Ltd 2021-2022 QBayLogic B.V. 2022 Google Inc.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | None
Language | Haskell2010

Clash.Netlist.BlackBox.Parser

Description

Parser definitions for BlackBox templates

Synopsis

- runParse :: Text -> Result BlackBoxTemplate

# Documentation

runParse :: Text -> Result BlackBoxTemplate Source #

Parse a text as a BlackBoxTemplate, returns a list of errors in case parsing fails